> ## Documentation Index
> Fetch the complete documentation index at: https://fliqr.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Pipelines update card

> Updates an opportunity / ticket.



## OpenAPI

````yaml POST /pipelines/{pipeline_id}/opportunities/{opportunity_id}
openapi: 3.0.0
info:
  title: Fliqr AI API
  version: '1.1'
  description: >-
    REST API for Fliqr AI. Authenticate every request with the `X-ACCESS-TOKEN`
    header.
servers:
  - url: https://app.fliqr.ai/api
    description: Production
security:
  - APIKeyHeader: []
tags:
  - name: Accounts
  - name: Contacts
  - name: AI Agents
  - name: Pipelines
  - name: Ecommerce
  - name: Appointment Management
  - name: Templates
paths:
  /pipelines/{pipeline_id}/opportunities/{opportunity_id}:
    post:
      tags:
        - Pipelines
      summary: Pipelines Update Card
      description: Updates an opportunity / ticket.
      operationId: pipelinesUpdateCard
      parameters:
        - name: pipeline_id
          in: path
          required: true
          schema:
            type: number
        - name: opportunity_id
          in: path
          required: true
          schema:
            type: number
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                title:
                  type: string
                description:
                  type: string
                stage_id:
                  type: number
                  description: if omitted, the the contact is added to first stage.
                value:
                  type: number
                  default: '0'
                status:
                  type: string
                  default: open
                  enum:
                    - open
                    - won
                    - lost
                  description: won is positive and lost is negative
                priority:
                  type: string
                  default: medium
                  enum:
                    - low
                    - medium
                    - high
                assigned_admins:
                  type: array
                  default: []
                  items: {}
              example:
                title: This is a test opportunity
                description: ...
                stage_id: 12334
                value: 300
                status: open
                priority: low
                assigned_admins:
                  - 55446563
                custom_fields:
                  - id: 1234
                    value: Any data
                  - name: Age
                    value: 30
        required: true
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                example:
                  success: true
components:
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-ACCESS-TOKEN
      description: >-
        API access token from your Fliqr AI dashboard (**Settings → API**). Send
        it in the `X-ACCESS-TOKEN` header on every request.

````